Subject: Fvwm on Amd64 has issues.

From: Nuno Alexandre <[email-masked]>
Date: Sat, 26 Mar 2005 20:32:31 +0100

Hi,
Im experiencing some 'wierd' issues with fvwm on my machine, I dont
know whats causing it, so ill just try to explain what it happens and
maybe someone have an idea.

my initfunction looks like this:

DestroyFunc InitFunction
AddToFunc InitFunction
+ I Module FvwmCommandS
+ I Module FvwmEvent
+ I Module FvwmAnimate
+ I Module FvwmButtons -g $[vp.width]x25+0+0 FvwmButtons-MenuBar
+ I Test (Init) Exec sudo sh -c "echo "ondemand" >>
/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor"
+ I Test (Init) Exec gkrellm2
+ I Test (Init) Exec xmodmap -e "pointer = 1 2 3 6 7 8 9 10 4 5"
+ I Test (init) Exec fbsetbg -l
+ I EWMHBaseStruts 0 0 27 0

It seems to work fine, however when I restart fvwm, all the modules die.
So I made a restartFunction that is 100% identical to the
initFunction, so restart everyton upon a restart. I don't remember
having to do this on x86.

The next issue is, when i maximize a window, the window doesn't take
_all_ the free area of the screen.
As you can see, I have the EWMHBaseStruts  limiting 27 pixels from
being overlaped by maximized window, but a maximized window will leave
a _huge_ gap empty:

Please see this snapshot:
http://ikaro.homepage.dk/05-03-26_20:27:35_1600x1200.png

Ive also added these style to the config:
Style * MinOverLapPlacement
Style * ResizeHintOverride
Style * HintOverride

Doesnt seem to work either.

This is sucking all my energies,  so i hope someone can help me.
I can supply more info if needed.

Thanks alot.

--
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]